SoIdleSensor(3)

NAME
SoIdleSensor - The SoIdleSensor class is a sensor which will trigger as soon as the application is idle.

SYNOPSIS

#include <Inventor/sensors/SoIdleSensor.h>

Inherits SoDelayQueueSensor.

  Public Member Functions
SoIdleSensor (void)
SoIdleSensor (SoSensorCB *func, void *data)
virtual ~SoIdleSensor (void)

  Additional Inherited Members

Detailed Description

The SoIdleSensor class is a sensor which will trigger as soon as the application is idle. An SoIdleSensor differs from an SoOneShotSensor in that it will not trigger if the delay queue processing is occurring due to the delay queue timeout, but only when the application is idle.

See also
    SoDB::setDelaySensorTimeout()

Constructor & Destructor Documentation

  SoIdleSensor::SoIdleSensor (void)
Default constructor.

  SoIdleSensor::SoIdleSensor (SoSensorCB * func, void * data)
Constructor taking as parameters the sensor callback function and the userdata which will be passed to the callback.

See also
    setFunction(), setData()

  SoIdleSensor::~SoIdleSensor (void) [virtual]
Destructor.

Author

Generated automatically by Doxygen for Coin from the source code.